Name:		abcm2ps
Version:	8.14.17
Release:	%mkrel 2
Summary:	Converts ABC format music sheets into Postscript
License:	GPLv2+
Group:		Publishing
URL:		http://moinejf.free.fr
Source0:	http://moinejf.free.fr/%{name}-%{version}.tar.gz
Patch0:		abcm2ps-gcc15-c23.patch

BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(pangocairo)

%description
abcm2ps is a package which converts music tunes from ABC format
to PostScript. Based on abc2ps version 1.2.5, it was developed
mainly to print polyphonic music, i.e. music with multiple voices
per staff. abcm2ps uses an extension to the ABC language that make
it suitable for classical music. This extended format is documented
under http://abcplus.sourceforge.net/.

%prep
%autosetup -p1

%build
%set_build_flags
./configure --prefix=%{_prefix}
%make_build

%install
%make_install

%files
%doc *.abc sample3.eps README.md examples
%{_bindir}/*
%{_datadir}/abcm2ps/
%{_mandir}/man1/abcm2ps.1*


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 8.14.17-2.mga10
+ Revision: 2252254
- Mageia 10 Mass Rebuild

* Fri Apr 25 2025 daviddavid <daviddavid> 8.14.17-1.mga10
+ Revision: 2178590
- new version: 8.14.17

* Sun Mar 10 2024 daviddavid <daviddavid> 8.14.15-1.mga10
+ Revision: 2048949
- new version: 8.14.15

* Mon Jan 30 2023 daviddavid <daviddavid> 8.14.14-2.mga9
+ Revision: 1937005
- use a named-versioned git tarball

* Tue Dec 20 2022 daviddavid <daviddavid> 8.14.14-1.mga9
+ Revision: 1925391
- new version: 8.14.14

* Tue Mar 22 2022 neoclust <neoclust> 8.14.13-1.mga9
+ Revision: 1819594
- New version: Fixes CVE-2021-3243[4-6] (mga#30195)

* Sat Mar 19 2022 umeabot <umeabot> 8.14.7-2.mga9
+ Revision: 1800595
- Mageia 9 Mass Rebuild

* Fri May 22 2020 neoclust <neoclust> 8.14.7-1.mga8
+ Revision: 1586763
- New version 8.14.7
+ luigiwalser <luigiwalser>
- remove hardcoded cflags, use our optflags
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 15 2020 umeabot <umeabot> 7.8.14-2.mga8
+ Revision: 1526826
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jun 10 2019 alexl <alexl> 7.8.14-1.mga8
+ Revision: 1399738
- imported package abcm2ps

